package com.ydl.ydlcommon.bean

import android.graphics.Color
import android.os.Build
import com.ydl.ydlcommon.R
import com.ydl.ydlcommon.base.BaseApp

/**
 * Created by haorui on 2019-08-15.
 * Des:
 */
class StatusBarOptions {
    var isAddStatusView: Boolean = false
    var statusBarDarkMode: Boolean = false
    var statusColor: String ?= null
        get() {
            if (field!=null){
                return field
            }else{
                if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
                    return "#FFFFFF"
                }
//                return "#"+Integer.toHexString(ContextCompat.getColor(BaseApp.getApp(), R.color.platform_main_theme))
                return BaseApp.getApp().resources.getString(0+R.color.platform_main_theme);
            }
        }
    var bottomStatusColor: Int = Color.parseColor("#00000000") //底部颜色默认透明色，个别页面自己设置即可

    constructor(isAddStatusView: Boolean = false, statusBarDarkMode: Boolean= false) {
        this.isAddStatusView = isAddStatusView
        this.statusBarDarkMode = statusBarDarkMode
    }

    constructor()

}
